Bug 831807 - kernel thinks my usb is 18.3EB in size
kernel thinks my usb is 18.3EB in size
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
17
x86_64 Linux
unspecified Severity high
: ---
: ---
Assigned To: Kernel Maintainer List
Fedora Extras Quality Assurance
usb storage first=3.4 tested=3.4.2
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-06-13 15:29 EDT by Ankur Sinha (FranciscoD)
Modified: 2012-07-08 16:51 EDT (History)
8 users (show)

See Also:
Fixed In Version: 3.4.3-1.1
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-06-30 17:59:57 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Ankur Sinha (FranciscoD) 2012-06-13 15:29:22 EDT
Description of problem:
The kernel thinks my flash disk is 18.3EB in size :/

Version-Release number of selected component (if applicable):
Linux ankur.pc 3.4.0-1.fc17.x86_64 #1 SMP Sun Jun 3 06:35:17 UTC 2012 x86_64 x86_64 x86_64 GNU/Linux


How reproducible:
Always

Steps to Reproduce:
1. insert flash disk
2. check dmesg
  
Actual results:
[ 2549.313034] usb 2-1.1: USB disconnect, device number 9
[ 2551.021212] usb 2-1.1: new high-speed USB device number 10 using ehci_hcd
[ 2551.108528] usb 2-1.1: New USB device found, idVendor=03f0, idProduct=5607
[ 2551.108534] usb 2-1.1: New USB device strings: Mfr=1, Product=2, SerialNumber=3
[ 2551.108538] usb 2-1.1: Product: v210w
[ 2551.108541] usb 2-1.1: Manufacturer: HP
[ 2551.108544] usb 2-1.1: SerialNumber: AA00000000003614
[ 2551.110152] scsi15 : usb-storage 2-1.1:1.0
[ 2552.312549] scsi 15:0:0:0: Direct-Access     hp       v210w            1100 PQ: 0 ANSI: 4
[ 2552.314591] sd 15:0:0:0: Attached scsi generic sg6 type 0
[ 2552.317075] sd 15:0:0:0: [sde] 71776119061217281 512-byte logical blocks: (18.3 EB/15.8 EiB)
[ 2552.317712] sd 15:0:0:0: [sde] Write Protect is off
[ 2552.317719] sd 15:0:0:0: [sde] Mode Sense: 43 00 00 00
[ 2552.318444] sd 15:0:0:0: [sde] No Caching mode page present
[ 2552.318451] sd 15:0:0:0: [sde] Assuming drive cache: write through
[ 2552.322442] sd 15:0:0:0: [sde] No Caching mode page present
[ 2552.322451] sd 15:0:0:0: [sde] Assuming drive cache: write through
[ 2552.324343]  sde: sde1
[ 2552.327563] sd 15:0:0:0: [sde] No Caching mode page present
[ 2552.327569] sd 15:0:0:0: [sde] Assuming drive cache: write through
[ 2552.327574] sd 15:0:0:0: [sde] Attached SCSI removable disk
[ 2552.539578] SELinux: initialized (dev sde1, type vfat), uses genfs_contexts


Expected results:
On an older F16 kernel:
Linux SKSinha.pc 3.1.5-6.fc16.x86_64 #1 SMP Thu Dec 15 16:14:44 UTC 2011 x86_64 x86_64 x86_64 GNU/Linux


[ 4640.321083] usb 1-10: new high speed USB device number 11 using ehci_hcd
[ 4640.436794] usb 1-10: New USB device found, idVendor=03f0, idProduct=5607
[ 4640.436806] usb 1-10: New USB device strings: Mfr=1, Product=2, SerialNumber=3
[ 4640.436814] usb 1-10: Product: v210w
[ 4640.436820] usb 1-10: Manufacturer: HP
[ 4640.436825] usb 1-10: SerialNumber: AA00000000003614
[ 4640.437938] scsi13 : usb-storage 1-10:1.0
[ 4641.642413] scsi 13:0:0:0: Direct-Access     hp       v210w            1100 PQ: 0 ANSI: 4
[ 4641.644826] sd 13:0:0:0: Attached scsi generic sg2 type 0
[ 4641.645129] sd 13:0:0:0: [sdb] 7907328 512-byte logical blocks: (4.04 GB/3.77 GiB)
[ 4641.645854] sd 13:0:0:0: [sdb] Write Protect is off
[ 4641.645865] sd 13:0:0:0: [sdb] Mode Sense: 43 00 00 00
[ 4641.646703] sd 13:0:0:0: [sdb] No Caching mode page present
[ 4641.646713] sd 13:0:0:0: [sdb] Assuming drive cache: write through
[ 4641.651575] sd 13:0:0:0: [sdb] No Caching mode page present
[ 4641.651588] sd 13:0:0:0: [sdb] Assuming drive cache: write through
[ 4641.652504]  sdb: sdb1
[ 4641.655318] sd 13:0:0:0: [sdb] No Caching mode page present
[ 4641.655333] sd 13:0:0:0: [sdb] Assuming drive cache: write through
[ 4641.655342] sd 13:0:0:0: [sdb] Attached SCSI removable disk


Additional info:

** du gives the correct output though
F17:

Filesystem      Size  Used Avail Use% Mounted on
/dev/sde1       3.8G     0  3.8G   0% /run/media/ankur/usb

F16: 
Filesystem      Size  Used Avail Use% Mounted on
/dev/sdb1       3.8G     0  3.8G   0% /media/usb


** I've zeroed the entire drive and then used fdisk on the F16 system to recreate the partition table and the partition:

dd if=/dev/zero of=/dev/sdb

On F17, fdisk fails with the following error:
Welcome to fdisk (util-linux 2.21.2).

Changes will remain in memory only, until you decide to write them.
Be careful before using the write command.


WARNING: The size of this disk is 1122759.7 TB (18302628885633696256 bytes).
DOS partition table format can not be used on drives for volumes
larger than (2199023255040 bytes) for 512-byte sectors. Use parted(1) and GUID 
partition table format (GPT).

fdisk: unable to seek on /dev/sde: Invalid argument

** Parted on F17 fails as well:
[root@ankur ~]# parted /dev/sde
Warning: Could not determine physical sector size for /dev/sde.
Using the logical sector size (512).
GNU Parted 3.0
Using /dev/sde
Welcome to GNU Parted! Type 'help' to view a list of commands.
(parted) p
Error: /dev/sde: unrecognised disk label
Model: hp v210w (scsi)
Disk /dev/sde: -144115188075855392.00B
Sector size (logical/physical): 512B/512B
Partition Table: unknown
Disk Flags:
(parted)
Comment 1 Ankur Sinha (FranciscoD) 2012-06-13 15:43:52 EDT
output of fdisk: (gave parted by mistake)

[root@ankur ~]# fdisk /dev/sde
Welcome to fdisk (util-linux 2.21.2).

Changes will remain in memory only, until you decide to write them.
Be careful before using the write command.


WARNING: The size of this disk is 1122759.7 TB (18302628885633696256 bytes).
DOS partition table format can not be used on drives for volumes
larger than (2199023255040 bytes) for 512-byte sectors. Use parted(1) and GUID
partition table format (GPT).

fdisk: unable to seek on /dev/sde: Invalid argument
[
Comment 2 Ankur Sinha (FranciscoD) 2012-06-19 03:02:51 EDT
This is also the case for another usb drive that I have:

[ 1331.022663] usb 2-1.1: new high-speed USB device number 9 using ehci_hcd
[ 1331.265434] usb 2-1.1: New USB device found, idVendor=03f0, idProduct=ae07
[ 1331.265440] usb 2-1.1: New USB device strings: Mfr=1, Product=2, SerialNumber=3
[ 1331.265444] usb 2-1.1: Product: v250w
[ 1331.265447] usb 2-1.1: Manufacturer: HP
[ 1331.265450] usb 2-1.1: SerialNumber: AA00000000001279
[ 1331.267081] scsi14 : usb-storage 2-1.1:1.0
[ 1332.582598] scsi 14:0:0:0: Direct-Access     hp       v250w            1100 PQ: 0 ANSI: 4
[ 1332.584587] sd 14:0:0:0: Attached scsi generic sg3 type 0
[ 1332.586227] sd 14:0:0:0: [sdc] 71776119061217281 512-byte logical blocks: (18.3 EB/15.8 EiB)
[ 1332.587164] sd 14:0:0:0: [sdc] Write Protect is off
[ 1332.587171] sd 14:0:0:0: [sdc] Mode Sense: 43 00 00 00
[ 1332.588037] sd 14:0:0:0: [sdc] No Caching mode page present
[ 1332.588044] sd 14:0:0:0: [sdc] Assuming drive cache: write through
[ 1332.592714] sd 14:0:0:0: [sdc] No Caching mode page present
[ 1332.592721] sd 14:0:0:0: [sdc] Assuming drive cache: write through
[ 1332.595426]  sdc: sdc1
[ 1332.598885] sd 14:0:0:0: [sdc] No Caching mode page present
[ 1332.598893] sd 14:0:0:0: [sdc] Assuming drive cache: write through
[ 1332.598900] sd 14:0:0:0: [sdc] Attached SCSI removable disk
[ 1332.799693] SELinux: initialized (dev sdc1, type fuseblk), uses genfs_contexts
[

This one is actually 8gigs in size only.
Comment 3 Ankur Sinha (FranciscoD) 2012-06-19 03:08:22 EDT
The previous kernel lists both drives as it should:

**
[   82.329676] usb 2-1.1: new high-speed USB device number 5 using ehci_hcd
[   82.571673] usb 2-1.1: New USB device found, idVendor=03f0, idProduct=ae07
[   82.571678] usb 2-1.1: New USB device strings: Mfr=1, Product=2, SerialNumber=3
[   82.571682] usb 2-1.1: Product: v250w
[   82.571684] usb 2-1.1: Manufacturer: HP
[   82.571687] usb 2-1.1: SerialNumber: AA00000000001279
[   82.573263] scsi7 : usb-storage 2-1.1:1.0
[   83.888235] scsi 7:0:0:0: Direct-Access     hp       v250w            1100 PQ: 0 ANSI: 4
[   83.889829] sd 7:0:0:0: Attached scsi generic sg3 type 0
[   83.890362] sd 7:0:0:0: [sdc] 15826944 512-byte logical blocks: (8.10 GB/7.54 GiB)
[   83.891107] sd 7:0:0:0: [sdc] Write Protect is off
[   83.891113] sd 7:0:0:0: [sdc] Mode Sense: 43 00 00 00
[   83.891829] sd 7:0:0:0: [sdc] No Caching mode page present
[   83.891836] sd 7:0:0:0: [sdc] Assuming drive cache: write through
[   83.895699] sd 7:0:0:0: [sdc] No Caching mode page present
[   83.895706] sd 7:0:0:0: [sdc] Assuming drive cache: write through
[   83.896820]  sdc: sdc1
[   83.899712] sd 7:0:0:0: [sdc] No Caching mode page present
[   83.899722] sd 7:0:0:0: [sdc] Assuming drive cache: write through
[   83.899730] sd 7:0:0:0: [sdc] Attached SCSI removable disk
[   84.288122] SELinux: initialized (dev sdc1, type fuseblk), uses genfs_contexts

**
and
**

[  216.904248] usb 2-1.1: new high-speed USB device number 8 using ehci_hcd
[  216.991941] usb 2-1.1: New USB device found, idVendor=03f0, idProduct=5607
[  216.991947] usb 2-1.1: New USB device strings: Mfr=1, Product=2, SerialNumber=3
[  216.991952] usb 2-1.1: Product: v210w
[  216.991955] usb 2-1.1: Manufacturer: HP
[  216.991958] usb 2-1.1: SerialNumber: AA00000000003614
[  216.994890] scsi13 : usb-storage 2-1.1:1.0
[  218.198220] scsi 13:0:0:0: Direct-Access     hp       v210w            1100 PQ: 0 ANSI: 4
[  218.199684] sd 13:0:0:0: Attached scsi generic sg3 type 0
[  218.199949] sd 13:0:0:0: [sdc] 7907328 512-byte logical blocks: (4.04 GB/3.77 GiB)
[  218.200579] sd 13:0:0:0: [sdc] Write Protect is off
[  218.200587] sd 13:0:0:0: [sdc] Mode Sense: 43 00 00 00
[  218.201296] sd 13:0:0:0: [sdc] No Caching mode page present
[  218.201304] sd 13:0:0:0: [sdc] Assuming drive cache: write through
[  218.207949] sd 13:0:0:0: [sdc] No Caching mode page present
[  218.207956] sd 13:0:0:0: [sdc] Assuming drive cache: write through
[  218.208855]  sdc: sdc1
[  218.211695] sd 13:0:0:0: [sdc] No Caching mode page present
[  218.211703] sd 13:0:0:0: [sdc] Assuming drive cache: write through
[  218.211710] sd 13:0:0:0: [sdc] Attached SCSI removable disk
[  218.591025] SELinux: initialized (dev sdc1, type vfat), uses genfs_contexts
[root@ankur ~]#

** 

[root@ankur ~]# uname -a
Linux ankur.pc 3.3.7-1.fc17.x86_64 #1 SMP Mon May 21 22:32:19 UTC 2012 x86_64 x86_64 x86_64 GNU/Linux
[root@ankur ~]#

Kernel regression? :/
Comment 4 Ankur Sinha (FranciscoD) 2012-06-19 05:08:19 EDT
Issue persists in 3.4.2. Just updated and checked:

[   80.061370] usb 2-1.1: new high-speed USB device number 4 using ehci_hcd
[   80.148171] usb 2-1.1: New USB device found, idVendor=03f0, idProduct=5607
[   80.148177] usb 2-1.1: New USB device strings: Mfr=1, Product=2, SerialNumber=3
[   80.148182] usb 2-1.1: Product: v210w
[   80.148185] usb 2-1.1: Manufacturer: HP
[   80.148187] usb 2-1.1: SerialNumber: AA00000000003614
[   80.209830] Initializing USB Mass Storage driver...
[   80.211254] scsi6 : usb-storage 2-1.1:1.0
[   80.211466] usbcore: registered new interface driver usb-storage
[   80.211471] USB Mass Storage support registered.
[   81.469957] scsi 6:0:0:0: Direct-Access     hp       v210w            1100 PQ: 0 ANSI: 4
[   81.472545] sd 6:0:0:0: Attached scsi generic sg2 type 0
[   81.473148] sd 6:0:0:0: [sdb] 71776119061217281 512-byte logical blocks: (18.3 EB/15.8 EiB)
[   81.474946] sd 6:0:0:0: [sdb] Write Protect is off
[   81.474953] sd 6:0:0:0: [sdb] Mode Sense: 43 00 00 00
[   81.475523] sd 6:0:0:0: [sdb] No Caching mode page present
[   81.475529] sd 6:0:0:0: [sdb] Assuming drive cache: write through
[   81.483144] sd 6:0:0:0: [sdb] No Caching mode page present
[   81.483151] sd 6:0:0:0: [sdb] Assuming drive cache: write through
[   81.484921]  sdb: sdb1 sdb2 sdb3
[   81.488005] sd 6:0:0:0: [sdb] No Caching mode page present
[   81.488011] sd 6:0:0:0: [sdb] Assuming drive cache: write through
[   81.488016] sd 6:0:0:0: [sdb] Attached SCSI removable disk
[   81.755274] SELinux: initialized (dev sdb2, type vfat), uses genfs_contexts
[   81.984837] mount: sending ioctl 5310 to a partition!
[   81.984841] mount: sending ioctl 5310 to a partition!
[   81.989474] SELinux: initialized (dev sdb3, type hfsplus), uses genfs_contexts
[   82.466745] mount: sending ioctl 5310 to a partition!
[   82.466751] mount: sending ioctl 5310 to a partition!
[   82.468318] ISO 9660 Extensions: Microsoft Joliet Level 3
[   82.469437] ISO 9660 Extensions: RRIP_1991A
[   82.469699] SELinux: initialized (dev sdb1, type iso9660), uses genfs_contexts
[root@ankur ~]#
Comment 5 Nils Philippsen 2012-06-19 06:42:47 EDT
It's not even converting properly, 71776119061217281 512-byte logical blocks are 31.875 EiB (or 32640 PiB) plus 256 bytes. The number of logical blocks converted to binary is this (looks very suspicious):

11111111000000000000000000000000000000000000000000000001
Comment 6 Piruthiviraj Natarajan 2012-06-19 07:08:22 EDT
I have had this issue in 3.3 kernel too. But erasing the MBR of the usb drive with Gparted, brought the usb disk back to sense.
Comment 7 Ankur Sinha (FranciscoD) 2012-06-19 08:52:46 EDT
It's a known issue and a patch has been written. Not yet included yet. 

Can we please have the patch in fedora until kernel upstream decides to merge it? It's quite a pain

http://permalink.gmane.org/gmane.linux.usb.general/65976

Thanks,
Ankur
Comment 8 Josh Boyer 2012-06-19 09:34:24 EDT
I'll look at it.
Comment 9 Josh Boyer 2012-06-19 09:52:55 EDT
Please test this scratch build when it completes and let us know if it works

http://koji.fedoraproject.org/koji/taskinfo?taskID=4177004
Comment 10 Ankur Sinha (FranciscoD) 2012-06-19 23:38:15 EDT
(In reply to comment #9)
> Please test this scratch build when it completes and let us know if it works
> 
> http://koji.fedoraproject.org/koji/taskinfo?taskID=4177004

Hi Josh,

The koji build fixes the issue:

Linux ankur.pc 3.4.3-1.1.fc17.x86_64 #1 SMP Tue Jun 19 14:02:35 UTC 2012 x86_64 x86_64 x86_64 GNU/Linux

[   83.312954] usb 2-1.4: new high-speed USB device number 5 using ehci_hcd
[   83.399897] usb 2-1.4: New USB device found, idVendor=03f0, idProduct=5607
[   83.399902] usb 2-1.4: New USB device strings: Mfr=1, Product=2, SerialNumber=3
[   83.399906] usb 2-1.4: Product: v210w
[   83.399908] usb 2-1.4: Manufacturer: HP
[   83.399910] usb 2-1.4: SerialNumber: AA00000000003614
[   83.400909] scsi7 : usb-storage 2-1.4:1.0
[   84.663013] scsi 7:0:0:0: Direct-Access     hp       v210w            1100 PQ: 0 ANSI: 4
[   84.664173] sd 7:0:0:0: Attached scsi generic sg3 type 0
[   84.664526] sd 7:0:0:0: [sdc] 7907328 512-byte logical blocks: (4.04 GB/3.77 GiB)
[   84.665146] sd 7:0:0:0: [sdc] Write Protect is off
[   84.665154] sd 7:0:0:0: [sdc] Mode Sense: 43 00 00 00
[   84.665786] sd 7:0:0:0: [sdc] No Caching mode page present
[   84.665794] sd 7:0:0:0: [sdc] Assuming drive cache: write through
[   84.669884] sd 7:0:0:0: [sdc] No Caching mode page present
[   84.669893] sd 7:0:0:0: [sdc] Assuming drive cache: write through
[   84.670660]  sdc: sdc1
[   84.673756] sd 7:0:0:0: [sdc] No Caching mode page present
[   84.673764] sd 7:0:0:0: [sdc] Assuming drive cache: write through
[   84.673771] sd 7:0:0:0: [sdc] Attached SCSI removable disk
[   84.967384] EXT4-fs (sdc1): mounted filesystem with ordered data mode. Opts: (null)
[   84.967396] SELinux: initialized (dev sdc1, type ext4), uses xattr
[root@ankur ~]#

***

[  141.281610] usb 2-1.1: new high-speed USB device number 6 using ehci_hcd
[  141.521565] usb 2-1.1: New USB device found, idVendor=03f0, idProduct=ae07
[  141.521570] usb 2-1.1: New USB device strings: Mfr=1, Product=2, SerialNumber=3
[  141.521573] usb 2-1.1: Product: v250w
[  141.521576] usb 2-1.1: Manufacturer: HP
[  141.521578] usb 2-1.1: SerialNumber: AA00000000001279
[  141.522380] scsi8 : usb-storage 2-1.1:1.0
[  142.831279] scsi 8:0:0:0: Direct-Access     hp       v250w            1100 PQ: 0 ANSI: 4
[  142.832797] sd 8:0:0:0: Attached scsi generic sg4 type 0
[  142.834137] sd 8:0:0:0: [sdd] 15826944 512-byte logical blocks: (8.10 GB/7.54 GiB)
[  142.835000] sd 8:0:0:0: [sdd] Write Protect is off
[  142.835006] sd 8:0:0:0: [sdd] Mode Sense: 43 00 00 00
[  142.835737] sd 8:0:0:0: [sdd] No Caching mode page present
[  142.835744] sd 8:0:0:0: [sdd] Assuming drive cache: write through
[  142.839225] sd 8:0:0:0: [sdd] No Caching mode page present
[  142.839233] sd 8:0:0:0: [sdd] Assuming drive cache: write through
[  142.840385]  sdd: sdd1
[  142.844345] sd 8:0:0:0: [sdd] No Caching mode page present
[  142.844354] sd 8:0:0:0: [sdd] Assuming drive cache: write through
[  142.844361] sd 8:0:0:0: [sdd] Attached SCSI removable disk
[  143.091437] EXT4-fs (sdd1): mounted filesystem with ordered data mode. Opts: (null)
[  143.091449] SELinux: initialized (dev sdd1, type ext4), uses xattr
[root@ankur ~]#

**

Parted works, so does dd.

Thanks! :)
Ankur
Comment 11 Josh Boyer 2012-06-20 08:35:50 EDT
Thanks for testing.  Committed to Fedora git.  It will be in the next build.
Comment 12 Fedora Update System 2012-06-26 20:09:17 EDT
kernel-3.4.4-3.fc17 has been submitted as an update for Fedora 17.
https://admin.fedoraproject.org/updates/kernel-3.4.4-3.fc17
Comment 13 Fedora Update System 2012-06-26 20:11:43 EDT
kernel-3.4.4-3.fc16 has been submitted as an update for Fedora 16.
https://admin.fedoraproject.org/updates/kernel-3.4.4-3.fc16
Comment 14 Fedora Update System 2012-06-27 23:28:32 EDT
Package kernel-3.4.4-3.fc17:
* should fix your issue,
* was pushed to the Fedora 17 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing kernel-3.4.4-3.fc17'
as soon as you are able to, then reboot.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2012-9988/kernel-3.4.4-3.fc17
then log in and leave karma (feedback).
Comment 15 Fedora Update System 2012-06-30 17:59:57 EDT
kernel-3.4.4-3.fc17 has been pushed to the Fedora 17 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 16 Fedora Update System 2012-07-05 19:50:47 EDT
kernel-3.4.4-4.fc16 has been submitted as an update for Fedora 16.
https://admin.fedoraproject.org/updates/kernel-3.4.4-4.fc16
Comment 17 Fedora Update System 2012-07-08 16:51:56 EDT
kernel-3.4.4-4.fc16 has been pushed to the Fedora 16 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.